MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028952Open CASCADE[OCCT] OCCT:Configurationpublic2017-07-26 18:432017-09-29 16:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028952: Configuration, CMake - define OCCT_NO_DEPRECATED while building OCCT by obsolete gcc versions
DescriptionIt is desired to suppress useless warnings for code portions using Standard_DISABLE_DEPRECATION_WARNINGS/Standard_ENABLE_DEPRECATION_WARNINGS when building OCCT using obsolete gcc version (before 4.6).

This will allow filtering useless warnings within extended certification on obsolete Linux tool-chains (while warnings for inappropriate uses of deprecated functionality inside OCCT will be revealed when building main tool-chains).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0068753)
git (administrator)
2017-07-26 18:44

Branch CR28952 has been created by kgv.

SHA-1: 4dd8bf8ced5af78ee570fb851d22c2ba509188d2


Detailed log of new commits:

Author: kgv
Date: Wed Jul 26 18:44:20 2017 +0300

    0028952: Configuration, CMake - define OCCT_NO_DEPRECATED while building OCCT by obsolete gcc versions
(0068754)
kgv (developer)
2017-07-26 18:45

Dear bugmaster,

could you please check if patch helps on jenkins-test-08?
(0068786)
apn (administrator)
2017-07-27 13:11
edited on: 2017-07-27 13:11

Dear BugMaster,

Branch CR28952 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4dd8bf8ced5af78ee570fb851d22c2ba509188d2

Number of compiler warnings:
occt component:
   Debian70-64: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
   CenOs64-64: 19 (93 on master)
   Debian60-64: 18 (84 on master)
products component:
   Debian70-64: 8 (8 on master)
   Windows: 0 (0 on master)
   MacOS: 2 (2 on master)
   CenOs64-64: 12 (15 on master)
   Debian60-64: 12 (15 on master)

Testing cases:
Not needed

(0068964)
git (administrator)
2017-07-31 17:46

Branch CR28952 has been deleted by kgv.

SHA-1: 4dd8bf8ced5af78ee570fb851d22c2ba509188d2

- Related Changesets
occt: master a131689d
Timestamp: 2017-07-26 15:44:20
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028952: Configuration, CMake - define OCCT_NO_DEPRECATED while building OCCT by obsolete gcc versions
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-26 18:43 kgv New Issue
2017-07-26 18:43 kgv Assigned To => bugmaster
2017-07-26 18:44 git Note Added: 0068753
2017-07-26 18:45 kgv Note Added: 0068754
2017-07-26 18:45 kgv Status new => resolved
2017-07-26 18:45 kgv Status resolved => reviewed
2017-07-27 13:11 apn Note Added: 0068786
2017-07-27 13:11 apn Note Edited: 0068786 View Revisions
2017-07-27 13:12 apn Test case number => Not needed
2017-07-27 13:12 apn Status reviewed => tested
2017-07-28 17:18 bugmaster Changeset attached => occt master a131689d
2017-07-28 17:18 bugmaster Status tested => verified
2017-07-28 17:18 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068964
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker